=== modified file 'bzrlib/transport/http/__init__.py'
--- bzrlib/transport/http/__init__.py	2011-09-19 12:18:34 +0000
+++ bzrlib/transport/http/__init__.py	2011-09-19 13:02:42 +0000
@@ -514,6 +514,8 @@
         parsed_source = self._split_url(source)
         parsed_target = self._split_url(target)
         pl = len(self._parsed_url.path)
+        # determine the excess tail - the relative path that was in
+        # the original request but not part of this transports' URL.
         excess_tail = parsed_source.path[pl:].strip("/")
         if not target.endswith(excess_tail):
             # The final part of the url has been renamed, we can't handle the

=== modified file 'doc/en/release-notes/bzr-2.5.txt'
--- doc/en/release-notes/bzr-2.5.txt	2011-09-19 12:18:34 +0000
+++ doc/en/release-notes/bzr-2.5.txt	2011-09-19 13:02:42 +0000
@@ -32,8 +32,8 @@
 .. Fixes for situations where bzr would previously crash or give incorrect
    or undesirable results.
 
-* Redirects between http and https no longer discard path information.
-  (Jelmer Vernooij, #853765)
+* Redirects between http and https no longer discard path information
+  in some cases. (Jelmer Vernooij, #853765)
 
 Documentation
 *************

